List customer invitations
curl --request GET \
--url https://api.natural.com/customers/invitations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/customers/invitations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/customers/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "customerInvitation",
"id": "ops@acme.com",
"attributes": {
"status": "PENDING",
"party": null,
"email": "ops@acme.com",
"createdAt": "2026-01-05T10:15:00.000Z",
"agentInvitations": [
{
"invitationId": "adi_550e8400e29b41d4a716446655440000",
"agent": {
"id": "agt_3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f",
"name": "Invoice Agent"
},
"permissions": [
"payments.read"
],
"url": "https://www.natural.com/connect/adi_550e8400e29b41d4a716446655440000",
"createdAt": "2026-01-05T10:15:00.000Z",
"expiresAt": "2026-01-12T10:15:00.000Z",
"tags": {
"campaign": "q3_reactivation"
}
},
{
"invitationId": "adi_660f9500f30c52e5b827557766551111",
"agent": {
"id": "agt_4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a",
"name": "Refunds Agent"
},
"permissions": [
"payments.create",
"payments.read"
],
"url": "https://www.natural.com/connect/adi_660f9500f30c52e5b827557766551111",
"createdAt": "2026-01-05T10:15:00.000Z",
"expiresAt": "2026-01-12T10:15:00.000Z",
"tags": {
"campaign": "q3_reactivation"
}
}
]
}
}
],
"meta": {
"pagination": {
"hasMore": false,
"nextCursor": null
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "A request value is invalid.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "email: Invalid email address",
"status": "422",
"source": {
"pointer": "/data/attributes/email"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Customers
List customer invitations
List pending customer invitations you’ve sent.
GET
/
customers
/
invitations
List customer invitations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Agent ID (agt_xxx) identifying which agent is making the request.
Required when X-Agent-ID is present. Session or conversation ID for agent observability.
Maximum string length:
1024Query Parameters
Cursor for pagination
Maximum number of results
Required range:
1 <= x <= 100Was this page helpful?
⌘I